diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
index 09868dc2..2d5fb295 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
@@ -257,7 +257,7 @@ define('pgadmin.node.cast', [
           id: 'syscast', label: gettext('System cast?'),
           cell: 'switch', type: 'switch', mode: ['properties'], disabled: true,
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
           }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js b/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
index 1d222280..9f59cc3d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
@@ -194,7 +194,7 @@ define('pgadmin.node.extension', [
             id: 'relocatable', label: gettext('Relocatable?'), cell: 'switch',
             group: gettext('Definition'), type: 'switch', mode: ['properties'],
             options: {
-              'onText': 'Yes', 'offText': 'No',
+              'onText': gettext('Yes'), 'offText': gettext('No'),
               'onColor': 'success', 'offColor': 'primary',
               'size': 'small'
             }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
index 67ed92c9..5bc53826 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
@@ -126,7 +126,7 @@ define('pgadmin.node.language', [
         },{
           id: 'trusted', label: gettext('Trusted?'), type: 'switch',
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
           },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
index af205504..3f6678b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
@@ -167,7 +167,7 @@ define('pgadmin.node.domain', [
           id: 'sysdomain', label: gettext('System domain?'), cell: 'boolean',
           type: 'switch', mode: ['properties'],
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
           }
@@ -246,7 +246,7 @@ define('pgadmin.node.domain', [
           id: 'typnotnull', label: gettext('Not Null?'), cell: 'boolean',
           type: 'switch', group: gettext('Definition'),
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
           }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
index e415e8c4..bd3ad137 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
@@ -265,7 +265,7 @@ define('pgadmin.node.function', [
           id: 'proisstrict', label: gettext('Strict?'), type: 'switch',
           group: gettext('Options'), disabled: 'isDisabled',
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
            }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
index 5648f694..dc85515c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
@@ -203,7 +203,7 @@ define('pgadmin.node.trigger_function', [
           id: 'proisstrict', label: gettext('Strict?'), type: 'switch',
           disabled: 'isDisabled', group: gettext('Options'),
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
            }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
index 9eac926d..959074c2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
@@ -173,7 +173,7 @@ define('pgadmin.node.sequence', [
           id: 'cycled', label: gettext('Cycled'), type: 'switch',
           mode: ['properties', 'create', 'edit'], group: gettext('Definition'),
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
           }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
index b4cdb6f0..6641a360 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
@@ -177,7 +177,7 @@ define('pgadmin.node.synonym', [
         },{
           id: 'is_public_synonym', label: gettext('Public synonym?'),
           disabled: true, type: 'switch', mode: ['properties'], cell: 'switch',
-          options: { onText: 'Yes', offText: 'No', onColor: 'success',
+          options: { onText: gettext('Yes'), offText: gettext('No'), onColor: 'success',
                     offColor: 'primary', size: 'mini'}
         }
         ],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js
index 8c0fcf1a..90c3f8fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js
@@ -499,7 +499,7 @@ define('pgadmin.node.column', [
           id: 'attnotnull', label: gettext('Not NULL?'), cell: 'switch',
           type: 'switch', disabled: 'inSchemaWithColumnCheck', cellHeaderClasses:'width_percent_20',
           group: gettext('Definition'), editable: 'editable_check_for_table',
-          options: { onText: 'Yes', offText: 'No', onColor: 'success', offColor: 'primary' }
+          options: { onText: gettext('Yes'), offText: gettext('No'), onColor: 'success', offColor: 'primary' }
         },{
           id: 'attstattarget', label: gettext('Statistics'), cell: 'string',
           type: 'text', disabled: 'inSchemaWithColumnCheck', mode: ['properties', 'edit'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index 12e31799..a1a27b2c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -936,13 +936,13 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                     }
                     else {
                       alertify.alert(
-                        'Error fetching tables to be attached', res.data.result
+                        gettext('Error fetching tables to be attached'), res.data.result
                       );
                     }
                   },
                   error: function(e) {
                     var errmsg = $.parseJSON(e.responseText);
-                    alertify.alert('Error fetching tables to be attached.', errmsg.errormsg);
+                    alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
                   }
                 });
               }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
index 2a1c0565..542463fa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
@@ -242,7 +242,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
       id: 'oid', label: gettext('OID'), type: 'text'
     },{
       id: 'is_attach', label:gettext('Operation'), cell: 'switch',
-      type: 'switch', options: { 'onText': 'Attach', 'offText': 'Create'},
+      type: 'switch', options: { 'onText': gettext('Attach'), 'offText': gettext('Create')},
       cellHeaderClasses: 'width_percent_5',
       editable: function(m) {
         if (m instanceof Backbone.Model && m.isNew() && !m.top.isNew())
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index fd2780c3..90217e04 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -979,13 +979,13 @@ define('pgadmin.node.table', [
                     }
                     else {
                       alertify.alert(
-                        'Error fetching tables to be attached', res.data.result
+                        gettext('Error fetching tables to be attached'), res.data.result
                       );
                     }
                   },
                   error: function(e) {
                     var errmsg = $.parseJSON(e.responseText);
-                    alertify.alert('Error fetching tables to be attached.', errmsg.errormsg);
+                    alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
                   }
                 });
               }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 04f6b7ab..95df7875 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -292,18 +292,18 @@ define('pgadmin.node.mview', [
           dataType: "json",
           success: function(res) {
             if (res.success == 1) {
-              alertify.success('View refreshed successfully');
+              alertify.success(gettext('View refreshed successfully'));
             }
             else {
               alertify.alert(
-                'Error refreshing view',
+                gettext('Error refreshing view'),
                   res.data.result
               );
             }
           },
           error: function(e) {
             var errmsg = $.parseJSON(e.responseText);
-            alertify.alert('Error refreshing view', errmsg.errormsg);
+            alertify.alert(gettext('Error refreshing view'), errmsg.errormsg);
           }
         });
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 4719ebb9..4c6c764d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -393,7 +393,7 @@ define('pgadmin.node.database', [
           editable: false, type: 'switch', group: gettext('Definition'),
           mode: ['properties'], disabled: true,
           options: {
-            'onText': 'Yes', 'offText': 'No',
+            'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
             'size': 'small'
           }
diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index caf0134b..6e8f36e0 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -64,7 +64,7 @@ define('pgadmin.node.role', [
   });
 
   var switchOptions = {
-    'onText': 'Yes', 'offText': 'No',
+    'onText': gettext('Yes'), 'offText': gettext('No'),
     'size': 'mini'
   };
 
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 692adb1f..7da74976 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -645,7 +645,7 @@ define('pgadmin.node.server', [
         },{
           id: 'connected', label: gettext('Connected?'), type: 'switch',
           mode: ['properties'], group: gettext('Connection'), 'options': {
-            'onText':   'True', 'offText':  'False', 'onColor':  'success',
+            'onText':  gettext('True'), 'offText':  gettext('False'), 'onColor':  'success',
             'offColor': 'danger', 'size': 'small'
           }
         },{
@@ -725,7 +725,7 @@ define('pgadmin.node.server', [
         },{
           id: 'sslcompression', label: gettext('SSL compression?'), type: 'switch',
           mode: ['edit', 'create'], group: gettext('SSL'),
-          'options': { 'onText':   'True', 'offText':  'False',
+          'options': { 'onText':   gettext('True'), 'offText':  gettext('False'),
           'onColor':  'success', 'offColor': 'danger', 'size': 'small'},
           deps: ['sslmode'], disabled: 'isSSL'
         },{
@@ -763,7 +763,7 @@ define('pgadmin.node.server', [
         },{
           id: 'sslcompression', label: gettext('SSL compression?'), type: 'switch',
           mode: ['properties'], group: gettext('SSL'),
-          'options': { 'onText':   'True', 'offText':  'False',
+          'options': { 'onText':  gettext('True'), 'offText':  gettext('False'),
           'onColor':  'success', 'offColor': 'danger', 'size': 'small'},
           deps: ['sslmode'], visible: function(m) {
             var sslmode = m.get('sslmode');
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 979abe4f..fefe9cc7 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -627,7 +627,7 @@ define(
           if (!(_.isFunction(obj.canDropCascade) ?
                 obj.canDropCascade.apply(obj, [d, i]) : obj.canDropCascade)) {
                 Alertify.error(
-                S('The %s "%s" cannot be dropped!')
+                S( gettext('The %s "%s" cannot be dropped.'))
                 .sprintf(obj.label, d.label).value(),
                 10
                 );
@@ -641,7 +641,7 @@ define(
           if (!(_.isFunction(obj.canDrop) ?
               obj.canDrop.apply(obj, [d, i]) : obj.canDrop)) {
             Alertify.error(
-              S('The %s "%s" cannot be dropped!')
+              S( gettext('The %s "%s" cannot be dropped.'))
               .sprintf(obj.label, d.label).value(),
               10
             );
diff --git a/web/pgadmin/misc/depends/static/js/depends.js b/web/pgadmin/misc/depends/static/js/depends.js
index 1d8a393f..0fc28b04 100644
--- a/web/pgadmin/misc/depends/static/js/depends.js
+++ b/web/pgadmin/misc/depends/static/js/depends.js
@@ -230,10 +230,10 @@ define('misc.depends', [
            * it should be 'Restriction'.
            */
           if (this.dependent && (node.type == 'tablespace' || node.type == 'role'))
-            this.dependentGrid.columns.models[2].set({'label': 'Database'});
+            this.dependentGrid.columns.models[2].set({'label': gettext('Database')});
           else {
-            this.dependenciesGrid.columns.models[2].set({'label': 'Restriction'});
-            this.dependentGrid.columns.models[2].set({'label': 'Restriction'});
+            this.dependenciesGrid.columns.models[2].set({'label': gettext('Restriction')});
+            this.dependentGrid.columns.models[2].set({'label': gettext('Restriction')});
           }
 
           // Hide message container and show grid container.
@@ -310,8 +310,8 @@ define('misc.depends', [
           self.dependentCollection,
           self.dependentsPanels,
           node.generate_url(item, 'dependent', data, true),
-          ['No object selected.', 'No dependent information is available for the current object.',
-            'Fetching dependent information from the server...'],
+          [gettext('No object selected.'), gettext('No dependent information is available for the current object.'),
+            gettext('Fetching dependent information from the server...')],
           node,
           item,
           data._type
@@ -354,8 +354,8 @@ define('misc.depends', [
           self.dependenciesCollection,
           self.dependenciesPanels,
           node.generate_url(item, 'dependency', data, true),
-          ['Please select an object in the tree view.', 'No dependency information is available for the current object.',
-            'Fetching dependency information from the server...'],
+          [gettext('Please select an object in the tree view.'), gettext('No dependency information is available for the current object.'),
+            gettext('Fetching dependency information from the server...')],
           node,
           item,
           data._type
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index ffb0ad91..297e8ec5 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -422,8 +422,8 @@
     defaults: {
       label: "",
       options: {
-        onText: 'Yes',
-        offText: 'No',
+        onText: gettext('Yes'),
+        offText: gettext('No'),
         onColor: 'success',
         offColor: 'primary',
         size: 'small'
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index 2c0a7640..4cd342c2 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -345,7 +345,7 @@
             );
         }
       } else {
-          Alertify.alert("This object is not editable by user",
+          Alertify.alert(gettext("This object is not editable by user"),
             function(){
               return true;
           });
@@ -418,7 +418,7 @@
             }
           );
         } else {
-          Alertify.alert("This object cannot be deleted",
+          Alertify.alert(gettext("This object cannot be deleted"),
             function(){
               return true;
             }
@@ -454,8 +454,8 @@
   var SwitchCell = Backgrid.Extension.SwitchCell = Backgrid.BooleanCell.extend({
     defaults: {
       options: _.defaults({
-        onText: 'True',
-        offText: 'False',
+        onText: gettext('True'),
+        offText: gettext('False'),
         onColor: 'success',
         offColor: 'default',
         size: 'mini'
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index 28ac09b8..c1d18b38 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -121,8 +121,8 @@ define('pgadmin.datagrid', [
             d = pgAdmin.Browser.tree.itemData(i);
         if (d === undefined) {
           alertify.alert(
-            'Data Grid Error',
-            'No object selected.'
+            gettext('Data Grid Error'),
+            gettext('No object selected.')
           );
           return;
         }
@@ -174,8 +174,8 @@ define('pgadmin.datagrid', [
             d = pgAdmin.Browser.tree.itemData(i);
         if (d === undefined) {
           alertify.alert(
-            'Data Grid Error',
-            'No object selected.'
+            gettext('Data Grid Error'),
+            gettext('No object selected.')
           );
           return;
         }
@@ -289,14 +289,14 @@ define('pgadmin.datagrid', [
                       }
                       else {
                         alertify.alert(
-                          'Validation Error',
+                          gettext('Validation Error'),
                             res.data.result
                         );
                       }
                     },
                     error: function(e) {
                       alertify.alert(
-                        'Validation Error',
+                        gettext('Validation Error'),
                         e
                       );
                     }
@@ -412,7 +412,7 @@ define('pgadmin.datagrid', [
           },
           error: function(e) {
             alertify.alert(
-              'SQL Tool Initialize Error'
+              gettext('SQL Tool Initialize Error')
             );
           }
         });
@@ -426,8 +426,8 @@ define('pgadmin.datagrid', [
           d = pgAdmin.Browser.tree.itemData(i);
         if (d === undefined) {
           alertify.alert(
-            'Query tool Error',
-            'No object selected.'
+            gettext('Query tool Error'),
+            gettext('No object selected.')
           );
           return;
         }
diff --git a/web/pgadmin/tools/debugger/static/js/debugger.js b/web/pgadmin/tools/debugger/static/js/debugger.js
index f087f881..356999f1 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger.js
@@ -433,7 +433,7 @@ define([
                 },
                 error: function(e) {
                   Alertify.alert(
-                    'Debugger target Initialize Error',
+                    gettext('Debugger target Initialize Error'),
                     e.responseJSON.errormsg
                   );
                 }
@@ -444,7 +444,7 @@ define([
             try {
               var err = $.parseJSON(xhr.responseText);
               if (err.success == 0) {
-                Alertify.alert('Debugger Error', err.errormsg);
+                Alertify.alert(gettext('Debugger Error'), err.errormsg);
               }
             } catch (e) {}
           }
diff --git a/web/pgadmin/tools/debugger/static/js/debugger_ui.js b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
index efafe667..30a435f3 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger_ui.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
@@ -211,7 +211,7 @@ define([
               },
               error: function(e) {
                 Alertify.alert(
-                  'Debugger Set arguments error'
+                  gettext('Debugger Set arguments error')
                 );
               }
             });
@@ -662,14 +662,14 @@ define([
                       },
                       error: function(e) {
                         Alertify.alert(
-                          'Debugger Set arguments error'
+                          gettext('Debugger Set arguments error')
                         );
                       }
                     });
                   },
                   error: function(e) {
                     Alertify.alert(
-                      'Debugger target Initialize Error',
+                      gettext('Debugger target Initialize Error'),
                       e.responseJSON.errormsg
                     );
                   }
@@ -687,7 +687,7 @@ define([
                   },
                   error: function(e) {
                     Alertify.alert(
-                      'Debugger listener starting error',
+                      gettext('Debugger listener starting error'),
                       e.responseJSON.errormsg
                     );
                   }
@@ -708,7 +708,7 @@ define([
                   },
                   error: function(e) {
                     Alertify.alert(
-                      'Debugger Set arguments error'
+                      gettext('Debugger Set arguments error')
                     );
                   }
                 });
diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index a5806d62..96637eb9 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -51,8 +51,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while setting debugging breakpoint.'
+              gettext('Debugger Error'),
+              gettext('Error while setting debugging breakpoint.')
             );
           }
         });
@@ -113,15 +113,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while fetching breakpoint information.'
+                gettext('Debugger Error'),
+                gettext('Error while fetching breakpoint information.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while fetching breakpoint information.'
+              gettext('Debugger Error'),
+              gettext('Error while fetching breakpoint information.')
             );
           }
         });
@@ -148,15 +148,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while starting debugging session.'
+                gettext('Debugger Error'),
+                gettext('Error while starting debugging session.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while starting debugging session.'
+              gettext('Debugger Error'),
+              gettext('Error while starting debugging session.')
             );
           }
         });
@@ -191,15 +191,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while executing requested debugging information.'
+                gettext('Debugger Error'),
+                gettext('Error while executing requested debugging information.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while executing requested debugging information.'
+              gettext('Debugger Error'),
+              gettext('Error while executing requested debugging information.')
             );
           }
         });
@@ -233,15 +233,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while fetching variable information.'
+                gettext('Debugger Error'),
+                gettext('Error while fetching variable information.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while fetching variable information.'
+              gettext('Debugger Error'),
+              gettext('Error while fetching variable information.')
             );
           }
         });
@@ -268,15 +268,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while fetching stack information.'
+                gettext('Debugger Error'),
+                gettext('Error while fetching stack information.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while fetching stack information.'
+              gettext('Debugger Error'),
+              gettext('Error while fetching stack information.')
             );
           }
         });
@@ -400,15 +400,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while polling result.'
+                gettext('Debugger Error'),
+                gettext('Error while polling result.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while polling result.'
+              gettext('Debugger Error'),
+              gettext('Error while polling result.')
             );
           }
         });
@@ -543,7 +543,7 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger poll end execution error',
+                gettext('Debugger poll end execution error'),
                 res.data.result
               );
             }
@@ -588,8 +588,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while polling result.'
+              gettext('Debugger Error'),
+              gettext('Error while polling result.')
             );
           }
         });
@@ -649,8 +649,8 @@ define([
               },
               error: function(e) {
                 Alertify.alert(
-                  'Debugger Error',
-                  'Error while polling result.'
+                  gettext('Debugger Error'),
+                  gettext('Error while polling result.')
                 );
               }
             });
@@ -697,15 +697,15 @@ define([
             }
             else {
               Alertify.alert(
-                'Debugger Error',
-                'Error while executing continue in debugging session.'
+                gettext('Debugger Error'),
+                gettext('Error while executing continue in debugging session.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while executing continue in debugging session.'
+              gettext('Debugger Error'),
+              gettext('Error while executing continue in debugging session.')
             );
           }
         });
@@ -735,15 +735,15 @@ define([
             }
             else {
               Alertify.alert(
-                'Debugger Error',
-                'Error while executing step over in debugging session.'
+                gettext('Debugger Error'),
+                gettext('Error while executing step over in debugging session.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while executing step over in debugging session.'
+              gettext('Debugger Error'),
+              gettext('Error while executing step over in debugging session.')
             );
           }
         });
@@ -772,15 +772,15 @@ define([
             }
             else {
               Alertify.alert(
-                'Debugger Error',
-                'Error while executing step into in debugging session.'
+                gettext('Debugger Error'),
+                gettext('Error while executing step into in debugging session.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while executing step into in debugging session.'
+              gettext('Debugger Error'),
+              gettext('Error while executing step into in debugging session.')
             );
           }
         });
@@ -824,15 +824,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while executing stop in debugging session.'
+                gettext('Debugger Error'),
+                gettext('Error while executing stop in debugging session.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while executing stop in debugging session.'
+              gettext('Debugger Error'),
+              gettext('Error while executing stop in debugging session.')
             );
           }
         });
@@ -896,15 +896,15 @@ define([
             }
             else if (res.data.status === 'NotConnected') {
               Alertify.alert(
-                'Debugger Error',
-                'Error while toggling breakpoint.'
+                gettext('Debugger Error'),
+                gettext('Error while toggling breakpoint.')
               );
             }
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while toggling breakpoint.'
+              gettext('Debugger Error'),
+              gettext('Error while toggling breakpoint.')
             );
           }
         });
@@ -961,8 +961,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while clearing all breakpoint.'
+              gettext('Debugger Error'),
+              gettext('Error while clearing all breakpoint.')
             );
           }
         });
@@ -1222,8 +1222,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while depositing variable value.'
+              gettext('Debugger Error'),
+              gettext('Error while depositing variable value.')
             );
           }
         });
@@ -1253,8 +1253,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while selecting frame.'
+              gettext('Debugger Error'),
+              gettext('Error while selecting frame.')
             );
           }
         });
@@ -1425,8 +1425,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while starting debugging listener.'
+              gettext('Debugger Error'),
+              gettext('Error while starting debugging listener.')
             );
           }
         });
@@ -1446,8 +1446,8 @@ define([
           },
           error: function(e) {
             Alertify.alert(
-              'Debugger Error',
-              'Error while starting debugging listener.'
+              gettext('Debugger Error'),
+              gettext('Error while starting debugging listener.')
             );
           }
         });
@@ -1478,15 +1478,15 @@ define([
           }
           else if (res.data.status === 'NotConnected') {
             Alertify.alert(
-              'Not connected to server or connection with the server has been closed.',
+              gettext('Not connected to server or connection with the server has been closed.'),
               res.data.result
             );
           }
         },
         error: function(e) {
           Alertify.alert(
-            'Debugger Error',
-            'Error while fetching messages information.'
+            gettext('Debugger Error'),
+            gettext('Error while fetching messages information.')
           );
         }
       });
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 3b745598..d50cca76 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -2710,7 +2710,7 @@ define('tools.querytool', [
             } else {
               setTimeout(
                 function () {
-                  alertify.alert('Get Filter Error', res.data.result);
+                  alertify.alert(gettext('Get Filter Error'), res.data.result);
                 }, 10
               );
             }
@@ -2730,7 +2730,7 @@ define('tools.querytool', [
             }
             setTimeout(
               function () {
-                alertify.alert('Get Filter Error', msg);
+                alertify.alert(gettext('Get Filter Error'), msg);
               }, 10
             );
           }
@@ -2779,7 +2779,7 @@ define('tools.querytool', [
                   queryToolActions.executeQuery(self);
                 }
                 else {
-                  alertify.alert('Filter By Selection Error', res.data.result);
+                  alertify.alert(gettext('Filter By Selection Error'), res.data.result);
                 }
               }
             );
@@ -2789,7 +2789,7 @@ define('tools.querytool', [
             setTimeout(
               function () {
                 if (e.readyState == 0) {
-                  alertify.alert('Filter By Selection Error',
+                  alertify.alert(gettext('Filter By Selection Error'),
                     gettext("Not connected to the server or the connection to the server has been closed.")
                   );
                   return;
@@ -2800,7 +2800,7 @@ define('tools.querytool', [
                   e.responseJSON.errormsg != undefined)
                   msg = e.responseJSON.errormsg;
 
-                alertify.alert('Filter By Selection Error', msg);
+                alertify.alert(gettext('Filter By Selection Error'), msg);
               }, 10
             );
           }
@@ -2849,7 +2849,7 @@ define('tools.querytool', [
                   queryToolActions.executeQuery(self);
                 }
                 else {
-                  alertify.alert('Filter Exclude Selection Error', res.data.result);
+                  alertify.alert(gettext('Filter Exclude Selection Error'), res.data.result);
                 }
               }, 10
             );
@@ -2860,7 +2860,7 @@ define('tools.querytool', [
             setTimeout(
               function () {
                 if (e.readyState == 0) {
-                  alertify.alert('Filter Exclude Selection Error',
+                  alertify.alert(gettext('Filter Exclude Selection Error'),
                     gettext("Not connected to the server or the connection to the server has been closed.")
                   );
                   return;
@@ -2871,7 +2871,7 @@ define('tools.querytool', [
                   e.responseJSON.errormsg != undefined)
                   msg = e.responseJSON.errormsg;
 
-                alertify.alert('Filter Exclude Selection Error', msg);
+                alertify.alert(gettext('Filter Exclude Selection Error'), msg);
               }, 10
             );
           }
@@ -2900,7 +2900,7 @@ define('tools.querytool', [
                   queryToolActions.executeQuery(self);
                 }
                 else {
-                  alertify.alert('Remove Filter Error', res.data.result);
+                  alertify.alert(gettext('Remove Filter Error'), res.data.result);
                 }
               }
             );
@@ -2910,7 +2910,7 @@ define('tools.querytool', [
             setTimeout(
               function () {
                 if (e.readyState == 0) {
-                  alertify.alert('Remove Filter Error',
+                  alertify.alert(gettext('Remove Filter Error'),
                     gettext("Not connected to the server or the connection to the server has been closed.")
                   );
                   return;
@@ -2921,7 +2921,7 @@ define('tools.querytool', [
                   e.responseJSON.errormsg != undefined)
                   msg = e.responseJSON.errormsg;
 
-                alertify.alert('Remove Filter Error', msg);
+                alertify.alert(gettext('Remove Filter Error'), msg);
               }
             );
           }
@@ -2955,7 +2955,7 @@ define('tools.querytool', [
                   queryToolActions.executeQuery(self);
                 }
                 else {
-                  alertify.alert('Apply Filter Error', res.data.result);
+                  alertify.alert(gettext('Apply Filter Error'), res.data.result);
                 }
               }, 10
             );
@@ -2965,7 +2965,7 @@ define('tools.querytool', [
             setTimeout(
               function () {
                 if (e.readyState == 0) {
-                  alertify.alert('Apply Filter Error',
+                  alertify.alert(gettext('Apply Filter Error'),
                     gettext("Not connected to the server or the connection to the server has been closed.")
                   );
                   return;
@@ -2976,7 +2976,7 @@ define('tools.querytool', [
                   e.responseJSON.errormsg != undefined)
                   msg = e.responseJSON.errormsg;
 
-                alertify.alert('Apply Filter Error', msg);
+                alertify.alert(gettext('Apply Filter Error'), msg);
               }, 10
             );
           }
@@ -3090,7 +3090,7 @@ define('tools.querytool', [
                   queryToolActions.executeQuery(self);
                 }
                 else
-                  alertify.alert('Change limit Error', res.data.result);
+                  alertify.alert(gettext('Change limit Error'), res.data.result);
               }, 10
             );
           },
@@ -3099,7 +3099,7 @@ define('tools.querytool', [
             setTimeout(
               function () {
                 if (e.readyState == 0) {
-                  alertify.alert('Change limit Error',
+                  alertify.alert(gettext('Change limit Error'),
                     gettext("Not connected to the server or the connection to the server has been closed.")
                   );
                   return;
@@ -3110,7 +3110,7 @@ define('tools.querytool', [
                   e.responseJSON.errormsg != undefined)
                   msg = e.responseJSON.errormsg;
 
-                alertify.alert('Change limit Error', msg);
+                alertify.alert(gettext('Change limit Error'), msg);
               }, 10
             );
           }
@@ -3303,14 +3303,14 @@ define('tools.querytool', [
             }
             else {
               self.disable_tool_buttons(false);
-              alertify.alert('Cancel Query Error', res.data.result);
+              alertify.alert(gettext('Cancel Query Error'), res.data.result);
             }
           },
           error: function (e) {
             self.disable_tool_buttons(false);
 
             if (e.readyState == 0) {
-              alertify.alert('Cancel Query Error',
+              alertify.alert(gettext('Cancel Query Error'),
                 gettext("Not connected to the server or the connection to the server has been closed.")
               );
               return;
@@ -3321,7 +3321,7 @@ define('tools.querytool', [
               e.responseJSON.errormsg != undefined)
               msg = e.responseJSON.errormsg;
 
-            alertify.alert('Cancel Query Error', msg);
+            alertify.alert(gettext('Cancel Query Error'), msg);
           }
         });
       },
@@ -3355,11 +3355,11 @@ define('tools.querytool', [
           data: JSON.stringify(auto_rollback),
           success: function (res) {
             if (!res.data.status)
-              alertify.alert('Auto Rollback Error', res.data.result);
+              alertify.alert(gettext('Auto Rollback Error'), res.data.result);
           },
           error: function (e) {
             if (e.readyState == 0) {
-              alertify.alert('Auto Rollback Error',
+              alertify.alert(gettext('Auto Rollback Error'),
                 gettext("Not connected to the server or the connection to the server has been closed.")
               );
               return;
@@ -3370,7 +3370,7 @@ define('tools.querytool', [
               e.responseJSON.errormsg != undefined)
               msg = e.responseJSON.errormsg;
 
-            alertify.alert('Auto Rollback Error', msg);
+            alertify.alert(gettext('Auto Rollback Error'), msg);
           }
         });
       },
@@ -3394,11 +3394,11 @@ define('tools.querytool', [
           data: JSON.stringify(auto_commit),
           success: function (res) {
             if (!res.data.status)
-              alertify.alert('Auto Commit Error', res.data.result);
+              alertify.alert(gettext('Auto Commit Error'), res.data.result);
           },
           error: function (e) {
             if (e.readyState == 0) {
-              alertify.alert('Auto Commit Error',
+              alertify.alert(gettext('Auto Commit Error'),
                 gettext("Not connected to the server or the connection to the server has been closed.")
               );
               return;
@@ -3409,7 +3409,7 @@ define('tools.querytool', [
               e.responseJSON.errormsg != undefined)
               msg = e.responseJSON.errormsg;
 
-            alertify.alert('Auto Commit Error', msg);
+            alertify.alert(gettext('Auto Commit Error'), msg);
           }
         });
       },
@@ -3438,13 +3438,13 @@ define('tools.querytool', [
           data: JSON.stringify(data),
           success: function (res) {
             if (res.success == undefined || !res.success) {
-              alertify.alert('Explain options error',
+              alertify.alert(gettext('Explain options error'),
                 gettext("Error occurred while setting verbose option in explain.")
               );
             }
           },
           error: function (e) {
-            alertify.alert('Explain options error',
+            alertify.alert(gettext('Explain options error'),
               gettext("Error occurred while setting verbose option in explain.")
             );
             return;
@@ -3476,13 +3476,13 @@ define('tools.querytool', [
           data: JSON.stringify(data),
           success: function (res) {
             if (res.success == undefined || !res.success) {
-              alertify.alert('Explain options error',
+              alertify.alert(gettext('Explain options error'),
                 gettext("Error occurred while setting costs option in explain.")
               );
             }
           },
           error: function (e) {
-            alertify.alert('Explain options error',
+            alertify.alert(gettext('Explain options error'),
               gettext("Error occurred while setting costs option in explain.")
             );
           }
@@ -3513,13 +3513,13 @@ define('tools.querytool', [
           data: JSON.stringify(data),
           success: function (res) {
             if (res.success == undefined || !res.success) {
-              alertify.alert('Explain options error',
+              alertify.alert(gettext('Explain options error'),
                 gettext("Error occurred while setting buffers option in explain.")
               );
             }
           },
           error: function (e) {
-            alertify.alert('Explain options error',
+            alertify.alert(gettext('Explain options error'),
               gettext("Error occurred while setting buffers option in explain.")
             );
           }
@@ -3549,13 +3549,13 @@ define('tools.querytool', [
           data: JSON.stringify(data),
           success: function (res) {
             if (res.success == undefined || !res.success) {
-              alertify.alert('Explain options error',
+              alertify.alert(gettext('Explain options error'),
                 gettext("Error occurred while setting timing option in explain.")
               );
             }
           },
           error: function (e) {
-            alertify.alert('Explain options error',
+            alertify.alert(gettext('Explain options error'),
               gettext("Error occurred while setting timing option in explain.")
             );
           }
@@ -3653,7 +3653,7 @@ define('tools.querytool', [
           },
           error: function (e) {
             updateUI();
-            alertify.alert('Get Preferences error',
+            alertify.alert(gettext('Get Preferences error'),
               gettext("Error occurred while getting query tool options.")
             );
           }
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index bc88371c..ffdf8b27 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -105,7 +105,7 @@ define([
             },{
               id: 'active', label: gettext('Active'),
               type: 'switch', cell: 'switch', cellHeaderClasses:'width_percent_10',
-              options: { 'onText': 'Yes', 'offText': 'No'},
+              options: { 'onText': gettext('Yes'), 'offText': gettext('No')},
               editable: function(m) {
                 if(m instanceof Backbone.Collection) {
                   return true;
@@ -304,8 +304,8 @@ define([
                   self.model.destroy();
                 } else {
                   alertify.confirm(
-                    'Delete user?',
-                    'Are you sure you wish to delete this user?',
+                    gettext('Delete user?'),
+                    gettext('Are you sure you wish to delete this user?'),
                     function(evt) {
                       self.model.destroy({
                         wait: true,
@@ -323,7 +323,7 @@ define([
                   );
                 }
               } else {
-                alertify.alert("This user cannot be deleted.",
+                alertify.alert(gettext("This user cannot be deleted."),
                   function(){
                     return true;
                   }
